Package ch.qos.logback.core.net.ssl

# Class SSLConfiguration

java.lang.Object
ch.qos.logback.core.net.ssl.SSLContextFactoryBean
ch.qos.logback.core.net.ssl.SSLConfiguration

public class SSLConfiguration extends SSLContextFactoryBean
A configuration for an `SSLContext`.

Author:
  Carl Harris

## Constructor Summary

Constructors
Constructor
Description
`SSLConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`SSLParametersConfiguration`
`getParameters()`
Gets the SSL parameters configuration.
`void`
`setParameters(SSLParametersConfiguration parameters)`
Sets the SSL parameters configuration.

### Methods inherited from class ch.qos.logback.core.net.ssl.SSLContextFactoryBean

`createContext, getKeyManagerFactory, getKeyStore, getProtocol, getProvider, getSecureRandom, getTrustManagerFactory, getTrustStore, setKeyManagerFactory, setKeyStore, setProtocol, setProvider, setSecureRandom, setTrustManagerFactory, setTrustStore`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SSLConfiguration

public SSLConfiguration()

## Method Details

### getParameters

public SSLParametersConfiguration getParameters()
Gets the SSL parameters configuration.

Returns:
  parameters configuration; if no parameters object was configured, a default parameters object is returned

### setParameters

public void setParameters(SSLParametersConfiguration parameters)
Sets the SSL parameters configuration.

Parameters:
  `parameters` - the parameters configuration to set